"use strict";
exports.__esModule = true;
var http_1 = require("../errors/http");
var BaseController = /** @class */ (function () {
    function BaseController(config) {
        this.config = config;
    }
    BaseController.prototype.getHandler = function (method) {
        var methodHandler = this.config[method.toLowerCase()];
        if (!methodHandler) {
            throw http_1.NotImplementedHandler;
        }
        return methodHandler;
    };
    return BaseController;
}());
exports["default"] = BaseController;
